<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Main.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pm.bibicletario.bicicleta</a> &gt; <a href="index.source.html" class="el_package">pm.api.project</a> &gt; <span class="el_source">Main.java</span></div><h1>Main.java</h1><pre class="source lang-java linenums">package pm.api.project;

import io.javalin.Javalin;
import io.javalin.plugin.openapi.OpenApiOptions;
import io.javalin.plugin.openapi.OpenApiPlugin;
import io.javalin.plugin.openapi.ui.SwaggerOptions;
import io.swagger.v3.oas.models.info.Info;
import pm.api.project.bicicleta.BicicletaController;

import static io.javalin.apibuilder.ApiBuilder.*;

/**
 * Main
 */
<span class="nc" id="L15">public class Main {</span>
      public static void main(String[] args) {
<span class="nc" id="L17">        Javalin.create(config -&gt; {</span>
<span class="nc" id="L18">            config.registerPlugin(getConfiguredOpenApiPlugin());</span>
<span class="nc" id="L19">            config.defaultContentType = &quot;application/json&quot;;</span>
<span class="nc" id="L20">        }).routes(() -&gt; {</span>
<span class="nc" id="L21">            path(&quot;/&quot;, 	() -&gt; {</span>
<span class="nc" id="L22">                get(BicicletaController::raiz);</span>
<span class="nc" id="L23">            });</span>
<span class="nc" id="L24">        	path(&quot;bicicleta&quot;, () -&gt; {</span>
<span class="nc" id="L25">            	path(&quot;:id&quot;, () -&gt; {</span>
<span class="nc" id="L26">                    get(BicicletaController::getBicicleta);</span>
<span class="nc" id="L27">                    delete(BicicletaController::deleteBicicleta);</span>
<span class="nc" id="L28">                });</span>
<span class="nc" id="L29">                path(&quot;:id, :codigo, :emUso&quot;, () -&gt; {</span>
<span class="nc" id="L30">                    post(BicicletaController::postBicicleta);</span>
<span class="nc" id="L31">                });</span>
<span class="nc" id="L32">            });</span>
<span class="nc" id="L33">            path(&quot;statusBicicleta&quot;, () -&gt; {</span>
<span class="nc" id="L34">            	path(&quot;:id&quot;, () -&gt; {</span>
<span class="nc" id="L35">                    get(BicicletaController::getStatusBicicleta);</span>
<span class="nc" id="L36">                });</span>
<span class="nc" id="L37">                path(&quot;:id, :codigo, :emUso&quot;, () -&gt; {</span>
<span class="nc" id="L38">                    post(BicicletaController::postStatusBicicleta);</span>
<span class="nc" id="L39">                });</span>
<span class="nc" id="L40">            });</span>
<span class="nc" id="L41">        }).start(getHerokuAssignedPort());</span>

<span class="nc" id="L43">        System.out.println(&quot;Check out Swagger UI docs at http://localhost:7010/swagger-ui&quot;);</span>
<span class="nc" id="L44">    }</span>
    private static int getHerokuAssignedPort() {
<span class="nc" id="L46">        String herokuPort = System.getenv(&quot;PORT&quot;);</span>
<span class="nc bnc" id="L47" title="All 2 branches missed.">        if (herokuPort != null) {</span>
<span class="nc" id="L48">          return Integer.parseInt(herokuPort);</span>
        }
<span class="nc" id="L50">        return 7010;</span>
      }
    private static OpenApiPlugin getConfiguredOpenApiPlugin() {
<span class="nc" id="L53">        Info info = new Info().version(&quot;1.0&quot;).description(&quot;API Funcionário&quot;);</span>
<span class="nc" id="L54">        OpenApiOptions options = new OpenApiOptions(info)</span>
<span class="nc" id="L55">                .activateAnnotationScanningFor(&quot;scb&quot;)</span>
<span class="nc" id="L56">                .path(&quot;/swagger-docs&quot;) // endpoint for OpenAPI json</span>
<span class="nc" id="L57">                .swagger(new SwaggerOptions(&quot;/swagger-ui&quot;)) // endpoint for swagger-ui</span>
<span class="nc" id="L58">                .defaultDocumentation(doc -&gt; {</span>
<span class="nc" id="L59">                    doc.json(&quot;500&quot;, ErrorResponse.class);</span>
<span class="nc" id="L60">                    doc.json(&quot;503&quot;, ErrorResponse.class);</span>
<span class="nc" id="L61">                });</span>
<span class="nc" id="L62">        return new OpenApiPlugin(options);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.4.201905082037</span></div></body></html>